Create a segment
PUT
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/segmentsCreate a new feature flag segment.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.featureFlags.createFlagSegment({ projectIdOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "createdAt": "123", "createdBy": "string", "data": { "exclude": "value", "include": "value", "rules": [ { "conditions": [ { "cmp": "!contains", "cmpOptions": { "ignoreCase": "false" }, "lhs": { "type": "segment" }, "rhs": "string" } ], "id": "icfg_1234567890", "outcome": { "type": "all" } } ] }, "description": "string", "hint": "string", "id": "icfg_1234567890", "label": "string", "projectId": "example_id", "slug": "string", "typeName": "segment", "updatedAt": "123", "usedByFlags": [], "usedBySegments": []}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error